Add IO tables, right now IO's just float around.

Finish PMC for IO object 

The "stdio" layer
	-buffering
	-seek/random access
	-shared streams
	-thread safe

Copy-on-write IO stacks

Make IO layer cache the vtable calls to the next layer.

Filters

Portable fcntl() replacement for platforms without it

mmap support

Bottom level socket/pipe/process support in API 

UTF layers (or should we not bother and do as a filter?)

Sample programs and test suite

AIO - On many platforms we must fake async IO, are we doing a background
	thread/interp or an inline event queue function that is called
	every N ops?

Documentation! :)
